Summary: The Reliable Event Logging Protocol library
Name: librelp
Version: 1.10.0
Release: 1%{?_dist_release}
Group: system
Vendor: Project Vine
Distribution: Vine Linux
Packager: tomop

License: GPLv3+
URL: https://www.rsyslog.com/
Source0: https://download.rsyslog.com/librelp/%{name}-%{version}.tar.gz
BuildRequires: gnutls-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Librelp is an easy to use library for the RELP protocol. RELP (stands
for Reliable Event Logging Protocol) is a general-purpose, extensible
logging protocol.


%package devel
Summary: Development files for the %{name} package
Group: programming
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Librelp is an easy to use library for the RELP protocol. The
librelp-devel package contains the header files and libraries needed
to develop applications using librelp.


%debug_package


%prep
%setup -q


%build
%configure \
	--disable-static \
	--enable-tls=yes \
	--enable-tls-openssl=no

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT/%{_libdir}/*.la


%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS NEWS README doc/*html
%{_libdir}/librelp.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/librelp.so
%{_libdir}/pkgconfig/relp.pc


%changelog
* Thu Mar 25 2021 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.10.0-1
- new upstream release.

* Fri Oct 04 2019 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.4.0-1
- new upstream release.

* Wed Nov 07 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.18-1
- new upstream release.

* Sat Apr 21 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.15-1
- new upstream release.

* Sun Feb 25 2018 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.14-1
- new upstream release.

* Fri Mar 18 2016 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.9-1
- new upstream release.

* Mon Jun 16 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.2.7-1
- new upstream release.

* Wed Dec 22 2010 IWAI, Masaharu <iwai@alib.jp> 1.0.0-1
- build for Vine Linux: based Fedora 1.0.0-1.fc14

* Thu Jul 15 2010 Tomas Heinrich <theinric@redhat.com> - 1.0.0-1
- upgrade to upstream version 1.0.0

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May  7 2008 Tomas Heinrich <theinric@redhat.com> 0.1.1-2
- removed "BuildRequires: autoconf automake"

* Tue Apr 29 2008 Tomas Heinrich <theinric@redhat.com> 0.1.1-1
- initial build
